#include <math.h>
#include <allegro5\allegro.h>
#include "ship.h"
#include <allegro5\allegro_image.h>
#include <allegro5\allegro_font.h>
#include <allegro5\allegro_ttf.h>
#include <allegro5\allegro_primitives.h>
#include <allegro5\allegro_native_dialog.h>


 
 
ship::ship()
{
    Width=900;
    Height=600;
    ALLEGRO_BITMAP *SpaceShip;

    angle = 0.0;
    directionx = cos(angle);
	directiony = sin(angle);;
	speed=0.0;
    xposition = Width/2;
    yposition = Height /2;
    velocityX = 0;
    velocityY = 0;
	life = true;
	lives = 100;
}
 
 
 
 
void ship::refreshShip( ALLEGRO_BITMAP *SpaceShip)
{
//checking whether the ship is still on the screen and warping it back if not
if(xposition > Width)
{
xposition = 0;
}
 
if(xposition < 0)
{
xposition = Width;
}
 
if(yposition > Height)
{
yposition = 0;
}
 
if(yposition < 0)
{
yposition = Height;
}
 
 
 
 velocityX = cos(angle) * speed;   
		  velocityY = sin(angle) * speed;
          xposition += velocityX;
          yposition += velocityY;
 

al_draw_rotated_bitmap(SpaceShip,25,25,xposition,yposition,(angle),0);
//al_draw_rectangle(xposition-25,yposition-25,xposition+25,yposition+25,al_map_rgb(255,0,0),3);//tikrinimas colisijos bokso
 

 
}
 
 
void ship::turnleft()
{
angle-=0.05;
	directionx = cos(angle);
}

 
 
 
void ship::turnright()
{
angle+=0.05;
	directiony = sin(angle);

}
 
 
 
void ship::accelerate()
{
 
 
speed+=0.1 ;
	if (speed>10){
		speed=10;}
}
 void ship::letejimas()
 {
   speed-=0.1;
   if(speed<0.1){
		speed=0;}
 }


int ship::getShipXPosition()
{
	
return xposition;
}
 
int ship::getShipYPosition()
{
return yposition;
}
 

float ship::getShipAngle()
{
return angle;
}



int ship::getShipLives()
{
return lives;
}

bool ship::getShipLife()
{
return life;
}