#include <allegro5\allegro.h>
#include <allegro5\allegro_image.h>
#include <allegro5\allegro_font.h>
#include <allegro5\allegro_ttf.h>
#include <allegro5\allegro_primitives.h>
#include <allegro5\allegro_native_dialog.h>
#include "ship.h"
#include <math.h>
#include <list>
#include "asteroid.h"
#include "bullet.h"
#include <iostream>

enum KEYS{UP,DOWN,LEFT,RIGHT,SPACE}; 
    bool keys[5] ={false,false,false,false,false}; 



 const int Width=900;
 const int Height=600;
 bool done=false;
 bool redraw=false;
ALLEGRO_BITMAP *SpaceShip;
ALLEGRO_BITMAP *Background;
ALLEGRO_BITMAP *Asteroid;
ALLEGRO_FONT *font24 ;
 int FPS=60;
 int puk=1;
int shipx;
int shipy;
int y = 0;
int x = 0;
int n;
const float pi = 3.141592653589979;
float angle;


int tempSize;
int tempx;
int tempy;//temp kad dalytusi i 3


int asteroidMAX = 1;

int shootagain = 1;
int shootcounter = 0;

int shiplives=100;

//tikrinti

int z=0;
float anglll=0;
bool collision=false;

int TempAsteroidSize;
bool BreakingInto_3;//luzimas i 3 asteroidus mazesnius 

int T;//time tikrinimas ant
int score=0;
// Create a list to store the various istances of the asteroids class
using namespace std;
list<asteroid> AsteroidList;
list<bullet> BulletList;










int main(void)
{
	srand(time(NULL));//jei jo nera kometos atsiranda ten pat

 

		ALLEGRO_DISPLAY *display = NULL;
        ALLEGRO_EVENT_QUEUE *event_queue = NULL;
		ALLEGRO_BITMAP *SpaceShip = NULL;
		
		ALLEGRO_BITMAP *Background = NULL;
		ALLEGRO_TIMER *timer = NULL;
		ALLEGRO_BITMAP *Bullets=NULL;
		
		if(!al_init())
		return -1;
display = al_create_display(Width, Height);
		if(!display)
		return -1;

		al_init_font_addon();
        al_init_ttf_addon();
        al_init_primitives_addon();
        al_install_keyboard();
	    al_init_image_addon();


	ALLEGRO_FONT *font24 = al_load_font("times.ttf",24,0);





	//al_draw_textf(font24, al_map_rgb(255,0,0), 200,200,0, " IT LIVES");
 Background = al_load_bitmap("BG.jpg");
	
 SpaceShip = al_load_bitmap("SpaceShip.png");
	Asteroid = al_load_bitmap("asteroid.png");
	Bullets =al_load_bitmap("blast.png"); 

	shipx = Width/2;
	shipy = Height/2;
	
	timer = al_create_timer(1.0/FPS);

 
   event_queue = al_create_event_queue();


    al_register_event_source(event_queue, al_get_keyboard_event_source());
    al_register_event_source(event_queue, al_get_display_event_source(display));
    al_register_event_source(event_queue, al_get_timer_event_source(timer));

 al_start_timer(timer);
 
 


 ship myShip;






 

while(!done)
{
	 ALLEGRO_EVENT ev;
	al_wait_for_event(event_queue, &ev);

	

	if(ev.type == ALLEGRO_EVENT_TIMER)//timeris true redraw iskar viska daro
		{
			redraw=true;
		// al_set_window_title(display,"trololo");
		}
		
		
		else if(ev.type == ALLEGRO_EVENT_DISPLAY_CLOSE)

		{
			done = true;
	    }

		if(ev.type == ALLEGRO_EVENT_KEY_DOWN)
	{
		switch(ev.keyboard.keycode)
		{
		case ALLEGRO_KEY_W:
				keys[UP] = true;
				break;
		case ALLEGRO_KEY_S:
				keys[DOWN] = true;
				break;
		
        case ALLEGRO_KEY_A:
				keys[LEFT] = true;
				break;
		
		case ALLEGRO_KEY_D:
				keys[RIGHT] = true;


				break;
				case ALLEGRO_KEY_SPACE:
				keys[SPACE] = true;
		
				break;
			}
     }

	else if(ev.type == ALLEGRO_EVENT_KEY_UP)

		{
			switch(ev.keyboard.keycode)
		{
		case ALLEGRO_KEY_W:
				keys[UP] = false;
				break;
		case ALLEGRO_KEY_S:
				keys[DOWN] = false;
				break;
		
        case ALLEGRO_KEY_A:
				keys[LEFT] = false;
				break;
		
		case ALLEGRO_KEY_D:
				keys[RIGHT] = false;
				break;
		case ALLEGRO_KEY_SPACE:
		keys[SPACE] = false;
		break;
		case ALLEGRO_KEY_ESCAPE:
			done=true;
			break;
		    }
	      }


	else if(ev.type == ALLEGRO_EVENT_KEY_UP)
	{
		switch(ev.keyboard.keycode)
		{
		case ALLEGRO_KEY_ESCAPE:
			done=true;
			break;
		}
	}


	if(keys[LEFT])
{
	myShip.turnleft();

}

	if(keys[RIGHT])
{
	myShip.turnright();
}

	if(keys[UP])
{
	myShip.accelerate();
}
	else if (!keys[UP])
	{
		myShip.letejimas();
	}

	if (keys[SPACE])
	{
		
				
			if (shootagain == 1) {
			     BulletList.push_back(*new bullet( myShip.getShipXPosition(), myShip.getShipYPosition(),myShip.getShipAngle(), Bullets,font24));
				
				shootagain = 0;}
				
				keys[SPACE]=false;

	}
	if(keys[DOWN]){
	AsteroidList.push_back(*new asteroid());
	(keys[DOWN])=false;

	}

	  if(redraw && al_is_event_queue_empty(event_queue))
		{
		
				al_draw_scaled_bitmap(Background,0,0,1600,1200,0,0,Width,Height,0);
				

					

	
al_draw_textf(font24,al_map_rgb(255,0,0),100,100,0," ship x :%i",myShip.getShipXPosition());
al_draw_textf(font24,al_map_rgb(255,0,0),100,130,0," ship y :%i",myShip.getShipYPosition());


				myShip.refreshShip(SpaceShip);




list<asteroid>::iterator iter;
list<bullet>::iterator bulliter;

iter = AsteroidList.begin();

while(iter != AsteroidList.end())
{
	
	asteroid& s = *iter;
	s.AsteroidVsScreen();// the problematic function (gives 0 0 )
	


	if (s.getAsteroidSize() == 3) { TempAsteroidSize = 25; }
	if (s.getAsteroidSize() == 2) { TempAsteroidSize = 12; }
	if (s.getAsteroidSize() == 1) { TempAsteroidSize = 6; }
	                  
					
	if ((myShip.getShipXPosition()+25 > s.getAsteroidXPosition()-TempAsteroidSize)
		&& (myShip.getShipXPosition()-25 < s.getAsteroidXPosition() + TempAsteroidSize) 
		&& (myShip.getShipYPosition() + 25 > s.getAsteroidYPosition() -TempAsteroidSize)
		&& (myShip.getShipYPosition()-25 < s.getAsteroidYPosition() + TempAsteroidSize))
	{
	
	shiplives-=1;
	//shipdead reikia
	iter = AsteroidList.erase(iter);//kas bus jei kolisija
	collision=true;
	
	}//jei ship
	

	bulliter = BulletList.begin();	
while(bulliter != BulletList.end())
{
	bullet& bull = *bulliter;


	if (bull.getBulletXPosition() > s.getAsteroidXPosition()-TempAsteroidSize && 
		bull.getBulletXPosition() < s.getAsteroidXPosition() + TempAsteroidSize &&
		bull.getBulletYPosition() > s.getAsteroidYPosition() -TempAsteroidSize&&
		bull.getBulletYPosition() < s.getAsteroidYPosition() + TempAsteroidSize)
	{
		tempSize = s.getAsteroidSize() - 1;
		tempx = s.getAsteroidXPosition();
		tempy = s.getAsteroidYPosition();
		
		s.~asteroid();
		
		

	iter = AsteroidList.erase(iter);//if colision asteroid is errased
	bulliter = BulletList.erase(bulliter);
	collision=true;// withaut this the iter++ will make an error
	if (tempSize > 0)
		{
	//	BreakingInto_3=true;//going to the end of while loop 
	//    if (BreakingInto_3)
	//{
	//for (n=0; n < 3; n++)
		//{
			//AsteroidList.push_back(*new asteroid(tempSize,100,100));
		AsteroidList.push_back( asteroid(tempSize, tempx+10, tempy+10));	
		AsteroidList.push_back( asteroid(tempSize, tempx, tempy));
		AsteroidList.push_back(asteroid(tempSize, tempx-10, tempy-10));

		//}
//	BreakingInto_3=false;
	//}

	}
	
	}
	else{bulliter++;}
	
}
if (!collision){iter++;}
if (collision){collision=false;	score+=1;}	// the iter error solved

// tas pats mes errora ziauru


}// while asteroids




// increase the the shootcounter to enable new shots once the counter has reached a certain value 
shootcounter ++;
// going through the BulletList and updating bullets
bulliter = BulletList.begin();


while(bulliter != BulletList.end())
{
bullet& bull = *bulliter;
bull.refreshBullet(Bullets,font24);

if (bull.getBulletAlive() == 0)
{
	
bulliter = BulletList.erase(bulliter);// cia buvo klaida
}
else
{
bulliter++;
}
//jei be else tada error nes erase nutrina bullitera ir prie jo nebagalime nieko nei pridet nei atimt
}
///

//incrementing shootcounter and enabling to take new shots once its gets over 5 
if (shootcounter > 5)
{
shootagain = 1;
shootcounter = 0;
}
/*
iter = AsteroidList.begin();
while(iter != AsteroidList.end())
{
asteroid& s = *iter;
s.refreshAsteroid(Asteroid,font24);
iter ++;
}


// run through a loop untill the iterator has reached the last entry of the list
*/

iter = AsteroidList.begin();
int fuu=0;
while(iter != AsteroidList.end())
{
	
	// Retrieve the asteroid that the iterator points at
	asteroid& s = *iter;
	s.refreshAsteroid(Asteroid,font24);

	al_draw_textf(font24,al_map_rgb(255,0,0),0,400,0," list size %i" ,AsteroidList.size());//////////////////////////////////
	al_draw_textf(font24,al_map_rgb(255,0,0),s.getAsteroidXPosition()+33 ,s.getAsteroidYPosition() ,0," %i",iter);
	//s.getAsteroidXPosition();
	//s.getAsteroidYPosition();
	//s.AsteroidVsScreen();
	//s.~asteroid();
for(int n=-1; n<fuu;n++){
	al_draw_textf(font24,al_map_rgb(255,0,0),400,30*(fuu+1),0," ID :%i x:%i y:%i" ,fuu,s.getAsteroidXPosition() ,s.getAsteroidYPosition());
}
	//al_draw_textf(font24,al_map_rgb(255,0,0),500,200,0," x:%i y:%i",tempx ,s.getAsteroidXPosition() ,s.getAsteroidYPosition());
	//al_draw_textf(font24,al_map_rgb(255,0,0),0,400,0," list begib %i end %i" ,AsteroidList.begin() ,AsteroidList.end());
	//al_draw_textf(font24,al_map_rgb(255,0,0),0,400,0," list size %i" ,AsteroidList.size());
	
	//s.refreshAsteroid(Asteroid,font24);
//s.~asteroid();
fuu ++;	
iter ++;
	
}



al_draw_textf(font24,al_map_rgb(255,0,0),0,0,0," LIVES :%i",shiplives);
al_draw_textf(font24,al_map_rgb(255,0,0),500,0,0," Time :%i asteroids: %i",T,asteroidMAX);
al_draw_textf(font24,al_map_rgb(255,0,0),200,0,0," Score :%i ",score);
al_draw_textf(font24,al_map_rgb(255,0,0),330,300,0," x %i y %i size %i",tempx ,tempy ,tempSize);
   ////////
 ///////////////////

 	T+=1;/////////////////////////time///////////////////////////////////////////////
	/////////////
	///////////
	//if(asteroidMAX*200<T)

	//if all asteroids are destroid then makes new ones
	if (AsteroidList.begin() == AsteroidList.end())
		//{
	{
 	for (int i = 0; i < asteroidMAX; i ++)
	{
	AsteroidList.push_back(*new asteroid());
	}


	}
	//from the colision with bullet part it could be written in other while loop, but this way makes simpler for me to change
	



			
	  }//redraw



        al_flip_display();
		
 
}//end of loop
} //end of main
